Loading...
Searching...
No Matches
smartlock::Keypad::MetaData Struct Reference

Keypad Metadata. More...

## Public Attributes

string | id
| Keypad ID used in events and traps.
string | manufacturer
| manufacturer
string | product
| product
string | serialNumber
| serial number (S/N)
int | channel
| one device (S/N) can provide multiple keypads
string | position
| Position of the keypad. More...

## Detailed Description

Keypad Metadata.

## Member Data Documentation

## position

string smartlock::Keypad::MetaData::position

Position of the keypad.

A string, representing the position in the 1-wire topology and the channel of the keypad (e.g. D1:H1:C1-1)

The documentation for this struct was generated from the following file:

- Keypad.idl